<?php

/**
 *
 * PHP Pro Bid $Id$ 4mKjTuIth3YF5a/eLSQQM17uu7U3E0sIyI1zcsWMEU8=
 *
 * @link        http://www.phpprobid.com
 * @copyright   Copyright (c) 2014 Online Ventures Software LTD & CodeCube SRL
 * @license     http://www.phpprobid.com/license Commercial License
 *
 * @version     7.0
 */
/**
 * description field with hidden element attached
 */

namespace Ppb\Form\Element;

use Cube\Form\Element\Hidden;

class DescriptionHidden extends Hidden
{

    /**
     *
     * class constructor
     *
     * @param string $name
     */
    public function __construct($name)
    {
        parent::__construct($name);
        $this->setHidden(false);
    }

    /**
     *
     * render pseudo element
     *
     * @return string
     */
    public function render()
    {
        return $this->getPrefix() . ' '
        . $this->getValue() . ' '
        . $this->getSuffix()
        . parent::render();
    }

}
